### Method

# SpiceClientGLib MainChannel update_display_enabled

since: 0.35

#### Declaration [src]

    void
    spice_main_channel_update_display_enabled (
      SpiceMainChannel* channel,
      int id,
      gboolean enabled,
      gboolean update
    )

#### Description [src]

When sending monitor configuration to agent guest, if `enabled` is `FALSE`, don’t set display `id`, which the agent translates to disabling the display id. If `enabled` is `TRUE`, the monitor will be included in the next monitor update. Note: this will take effect next time the monitor configuration is sent.

If `update` is `FALSE`, no server update will be triggered by this call, but the value will be saved and used in the next configuration update.

Available since: 0.35

#### Parameters

`id`

  Type: `int`

  Display ID (if -1: set all displays).

`enabled`

  Type: `gboolean`

  Wether display `id` is enabled.

`update`

  Type: `gboolean`

  If `TRUE`, update guest display state after 1sec.